Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script
Interface NodeBuilderDecorationDelegate

All Known Implementing Classes:
  NullNodeBuilderDecorationDelegate

    public interface NodeBuilderDecorationDelegate

Implementors of this class can be passed to `org.nanocontainer.script.groovy.OldGroovyNodeBuilder`'s constructor to dynamically extend the core builder syntax. Note: Although this interface is currently only used by the Groovy `org.nanocontainer.script.groovy.OldGroovyNodeBuilder` class, there is nothing groovy going on here - nor in the AOP subclass `org.nanocontainer.aop.defaults.AopNodeBuilderDecorationDelegate` class. In other words, it should be easy to add AOP capabilities to the other scripting engines such as the XML ones.

Version:
  $Revision: 2863 $
Author:
  Paul Hammant, Aslak Hellesøy

Method Summary
`Object` | `createNode(Object name, Map attributes, Object parentElement)`
`org.picocontainer.defaults.ComponentAdapterFactory` | `decorate(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory, Map attributes)`
`org.picocontainer.MutablePicoContainer` | `decorate(org.picocontainer.MutablePicoContainer picoContainer)`
`void` | `rememberComponentKey(Map attributes)`

Method Detail

### decorate

    org.picocontainer.defaults.ComponentAdapterFactory decorate(org.picocontainer.defaults.ComponentAdapterFactory componentAdapterFactory,
                                                                Map attributes)

### decorate

    org.picocontainer.MutablePicoContainer decorate(org.picocontainer.MutablePicoContainer picoContainer)

### createNode

    Object createNode(Object name,
                      Map attributes,
                      Object parentElement)

### rememberComponentKey

    void rememberComponentKey(Map attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.